Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class LDAPListener

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.LDAPListener

All Implemented Interfaces:
  java.util.EventListener, javax.naming.event.NamespaceChangeListener, javax.naming.event.NamingListener, javax.naming.event.ObjectChangeListener

    public class LDAPListener

extends java.lang.Object
implements javax.naming.event.NamespaceChangeListener, javax.naming.event.ObjectChangeListener

Listener class that keeps listening to the LDAP Server and notifies changes

Version:
  $Revision: 1.7 $
Author:

Constructor Summary
`LDAPListener(LDAPClientApplicationImpl app)` Creates a new instance of LDAPListener

Method Summary
`void` | `namingExceptionThrown(javax.naming.event.NamingExceptionEvent evt)` The callback method that is invoked when an exception occurs while tracking the updates
`void` | `objectAdded(javax.naming.event.NamingEvent evt)` The callback method that is invoked when a new object is added to the context on which the listener has registered its interest.
`void` | `objectChanged(javax.naming.event.NamingEvent evt)` The callback method that is invoked when an existing object is changed in the context on which the listener has registered its interest.
`void` | `objectRemoved(javax.naming.event.NamingEvent evt)` The callback method that is invoked when an existing object is removed from the context on which the listener has registered its interest.
`void` | `objectRenamed(javax.naming.event.NamingEvent evt)` The callback method that is invoked when an existing object is renamed in the context on which the listener has registered its interest.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPListener

    public LDAPListener(LDAPClientApplicationImpl app)

  Creates a new instance of LDAPListener

  Parameters:
    `app` - The LDAP client application associated with this LDAPListener instance.

Method Detail

### objectAdded

    public void objectAdded(javax.naming.event.NamingEvent evt)

  The callback method that is invoked when a new object is added to the context on which the listener has registered its interest. This method packages the details of the new object into a STCNotificationEvent object and places it in the EventQueue.

  Specified by:
    `objectAdded` in interface `javax.naming.event.NamespaceChangeListener`
  Parameters:
    `evt` - the NamingEvent object that contains the details of the object added.

### objectRemoved

    public void objectRemoved(javax.naming.event.NamingEvent evt)

  The callback method that is invoked when an existing object is removed from the context on which the listener has registered its interest. This method packages the details of the removed object into a STCNotificationEvent object and places it in the EventQueue.

  Specified by:
    `objectRemoved` in interface `javax.naming.event.NamespaceChangeListener`
  Parameters:
    `evt` - the NamingEvent object that contains the details of the object removed.

### objectRenamed

    public void objectRenamed(javax.naming.event.NamingEvent evt)

  The callback method that is invoked when an existing object is renamed in the context on which the listener has registered its interest. This method packages the details of the renamed object into a STCNotificationEvent object and places it in the EventQueue.

  Specified by:
    `objectRenamed` in interface `javax.naming.event.NamespaceChangeListener`
  Parameters:
    `evt` - the NamingEvent object that contains the details of the object renamed.

### objectChanged

    public void objectChanged(javax.naming.event.NamingEvent evt)

  The callback method that is invoked when an existing object is changed in the context on which the listener has registered its interest. This method packages the details of the changed object into a STCNotificationEvent object and places it in the EventQueue. Changes that can trigger this method can be : adding new attributes, removing attributes, modifying attribute values.

  Specified by:
    `objectChanged` in interface `javax.naming.event.ObjectChangeListener`
  Parameters:
    `evt` - the NamingEvent object that contains the details of the object changed.

### namingExceptionThrown

    public void namingExceptionThrown(javax.naming.event.NamingExceptionEvent evt)

  The callback method that is invoked when an exception occurs while tracking the updates

  Specified by:
    `namingExceptionThrown` in interface `javax.naming.event.NamingListener`
  Parameters:
    `evt` - the NamingExceptionEvent object that contains the details of the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD